> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yutori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Status And Results

> Returns the current status (queued, running, succeeded, failed) and any results if completed.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.yutori.com/v1/research/tasks/00000000-0000-0000-0000-000000000000 \
    --header 'X-API-Key: YOUR_API_KEY'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.yutori.com/v1/research/tasks/00000000-0000-0000-0000-000000000000",
      headers={"X-API-Key": "YOUR_API_KEY"}
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.yutori.com/v1/research/tasks/00000000-0000-0000-0000-000000000000",
    {
      method: "GET",
      headers: { "X-API-Key": "YOUR_API_KEY" }
    }
  );
  const data = await response.json();
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/research/tasks/{task_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.yutori.com
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /v1/research/tasks/{task_id}:
    get:
      tags:
        - Research
      summary: Get Status And Results
      description: >-
        Returns the current status (queued, running, succeeded, failed) and any
        results if completed.
      operationId: get_research_task_status_v1_research_tasks__task_id__get
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            title: Task Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResearchTaskStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResearchTaskStatusResponse:
      properties:
        task_id:
          type: string
          title: Task Id
          description: Unique identifier for this research task
        view_url:
          type: string
          title: View Url
          description: URL to view task progress and results
        status:
          type: string
          enum:
            - queued
            - running
            - succeeded
            - failed
          title: Status
          description: Current status of the research task
        result:
          anyOf:
            - type: string
            - type: 'null'
          title: Result
          description: Research results in markdown format if completed
        structured_result:
          anyOf:
            - additionalProperties: true
              type: object
            - items: {}
              type: array
            - type: 'null'
          title: Structured Result
          description: >-
            If an output schema was provided, the result formatted as JSON
            matching that schema
        structured_output_status:
          anyOf:
            - type: string
              enum:
                - not_requested
                - pending
                - succeeded
                - failed
            - type: 'null'
          title: Structured Output Status
          description: >-
            Whether structured output was requested, is still pending,
            succeeded, or failed
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: When the task was created
        updates:
          items:
            $ref: '#/components/schemas/DeveloperUpdate'
          type: array
          title: Updates
          description: List of updates/results from the research task
        rejection_reason:
          anyOf:
            - $ref: '#/components/schemas/RejectionReason'
            - type: 'null'
          description: If status is 'failed', the specific billing reason for rejection
      type: object
      required:
        - task_id
        - view_url
        - status
      title: ResearchTaskStatusResponse
      description: Response for getting research task status and results.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DeveloperUpdate:
      properties:
        id:
          type: string
          title: Id
        timestamp:
          type: integer
          title: Timestamp
        content:
          type: string
          title: Content
        citations:
          items:
            $ref: '#/components/schemas/Citation'
          type: array
          title: Citations
        stats:
          anyOf:
            - $ref: '#/components/schemas/DeveloperReplayStats'
            - type: 'null'
        structured_result:
          anyOf:
            - additionalProperties: true
              type: object
            - items: {}
              type: array
            - type: 'null'
          title: Structured Result
        structured_output_status:
          anyOf:
            - type: string
              enum:
                - not_requested
                - pending
                - succeeded
                - failed
            - type: 'null'
          title: Structured Output Status
        header_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Header Image Url
      type: object
      required:
        - id
        - timestamp
        - content
      title: DeveloperUpdate
    RejectionReason:
      type: string
      enum:
        - insufficient_prepaid_balance
        - budget_exceeded
        - subscription_inactive
      title: RejectionReason
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Citation:
      properties:
        id:
          type: string
          title: Id
        url:
          type: string
          title: Url
        preview_data:
          additionalProperties: true
          type: object
          title: Preview Data
      type: object
      required:
        - id
        - url
      title: Citation
    DeveloperReplayStats:
      properties:
        num_tool_calls:
          type: integer
          title: Num Tool Calls
          default: 0
        num_mcp_tool_calls:
          type: integer
          title: Num Mcp Tool Calls
          default: 0
        num_webpages_read:
          type: integer
          title: Num Webpages Read
          default: 0
        num_navigator_steps:
          type: integer
          title: Num Navigator Steps
          default: 0
        num_websites_visited:
          type: integer
          title: Num Websites Visited
          default: 0
        sec_saved:
          type: integer
          title: Sec Saved
          default: 0
      type: object
      title: DeveloperReplayStats
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````